package auth

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/auth"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/auth/register auth Register
//
// Register | 注册
//
// Register | 注册
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: RegisterReq
//
// Responses:
//  200: BaseID

func RegisterHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.RegisterReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := auth.NewRegisterLogic(r, r.Context(), svcCtx)
		resp, err := l.Register(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
